API ReferenceWebhooks
Rotate Signing Secret
Rotate the webhook signing secret with a grace period.
Endpoint
POST /v1/webhooks/{id}:rotateSecretBase URL: https://api-id.avnology.net
Authentication: API Key or OAuth token
Request
curl -X POST "https://api-id.avnology.net/v1/webhooks/{id}:rotateSecret" \\
-H "Authorization: Bearer ak_live_..." \\
Response
Returns the appropriate response. See API Overview for format.
Errors
| Status | Code | Description |
|---|---|---|
| 404 | AVNOLOGY_AUTH_901 | Resource not found |
| 403 | AVNOLOGY_AUTH_100 | Insufficient permissions |
Code Examples
JavaScript (fetch)
const response = await fetch('https://api-id.avnology.net/v1/webhooks/{id}:rotateSecret', {
method: 'POST',
headers: { 'Authorization': 'Bearer ' + apiKey, 'Content-Type': 'application/json' },
});Python (httpx)
import httpx
response = httpx.request("POST", "https://api-id.avnology.net/v1/webhooks/{id}:rotateSecret",
headers={"Authorization": f"Bearer {api_key}Go (net/http)
req, _ := http.NewRequestWithContext(ctx, "POST", "https://api-id.avnology.net/v1/webhooks/{id}:rotateSecret", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err